# Uses of Class
javafx.scene.control.SortEvent

Packages that use SortEvent
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of SortEvent in javafx.scene.control

Fields in javafx.scene.control with type parameters of type SortEvent
Modifier and Type
Field
Description
`static final EventType<SortEvent>`
SortEvent.`ANY`
Common supertype for all sort event types.
Methods in javafx.scene.control that return types with arguments of type SortEvent
Modifier and Type
Method
Description
`EventHandler<SortEvent<TableView<S>>>`
TableView.`getOnSort()`
Gets the value of the `onSort` property.
`EventHandler<SortEvent<TreeTableView<S>>>`
TreeTableView.`getOnSort()`
Gets the value of the `onSort` property.
`ObjectProperty<EventHandler<SortEvent<TableView<S>>>>`
TableView.`onSortProperty()`
Called when there's a request to sort the control.
`ObjectProperty<EventHandler<SortEvent<TreeTableView<S>>>>`
TreeTableView.`onSortProperty()`
Called when there's a request to sort the control.
`static <C> EventType<SortEvent<C>>`
SortEvent.`sortEvent()`
Method parameters in javafx.scene.control with type arguments of type SortEvent
Modifier and Type
Method
Description
`void`
TableView.`setOnSort(EventHandler<SortEvent<TableView<S>>> value)`
Sets the value of the `onSort` property.
`void`
TreeTableView.`setOnSort(EventHandler<SortEvent<TreeTableView<S>>> value)`
Sets the value of the `onSort` property.